// 名前空間
var CHAT_DB = {};


//ロカールDBからルーム一覧情報を取得
CHAT_DB.getRoomList = function(roomType) {
    if (CHAT_UTIL.isIOS()) {
        //TODO IOS処理追加必要
    } else if (CHAT_UTIL.isAndroid()) {
        //String形式をJsonに変更してReturn
    	return JSON.parse(android.getRoomList(roomType));
    }
};

//ロカールDBからログインしたユーザのデータを取得する。
CHAT_DB.getMyInfo = function(input) {
    if (CHAT_UTIL.isIOS()) {
        //TODO IOS処理追加必要
    } else if (CHAT_UTIL.isAndroid()) {
        //String形式をJsonに変更してReturn
    	return JSON.parse(android.getMyInfo());
    }
};

CHAT_DB.getMessages = function(roomId) {
    if (CHAT_UTIL.isIOS()) {
        //TODO IOS処理追加必要
    } else if (CHAT_UTIL.isAndroid()) {
        //String形式をJsonに変更してReturn
    	return JSON.parse(android.getMessageList(roomId));
    }
};

CHAT_DB.getFavoriteUsers = function() {
    if (CHAT_UTIL.isIOS()) {
        //TODO IOS処理追加必要
    } else if (CHAT_UTIL.isAndroid()) {
        //String形式をJsonに変更してReturn
    	return JSON.parse(android.getFavoriteUsers());
    }
};

CHAT_DB.getFavoriteGroups = function() {
    if (CHAT_UTIL.isIOS()) {
        //TODO IOS処理追加必要
    } else if (CHAT_UTIL.isAndroid()) {
        //String形式をJsonに変更してReturn
    	return JSON.parse(android.getFavoriteGroups());
    }
};

CHAT_DB.getMyGroupUsers = function() {
    if (CHAT_UTIL.isIOS()) {
        //TODO IOS処理追加必要
    } else if (CHAT_UTIL.isAndroid()) {
        //String形式をJsonに変更してReturn
    	return JSON.parse(android.getMyGroupUsers());
    }
};

CHAT_DB.getArchiveList = function(archiveId) {
	if (CHAT_UTIL.isIOS()) {
		// String形式をJsonに変更してReturn
		webkit.messageHandlers.getArchiveList.postMessage(archiveId);
		return JSON.parse(iosArchiveList);
    } else if (CHAT_UTIL.isAndroid()) {
        //TODO Android処理追加必要
    }
};
var iosArchiveList;
getIosArchiveList = function(archiveList) {
	iosArchiveList = archiveList;
};
